Loading...
Searching...
No Matches
HostDSP Class Referenceabstract
Internal API functions » Hardware registry

Base class for host processor based card types. More...

`#include <vpbreg.h>`

Inheritance diagram for HostDSP:
Collaboration diagram for HostDSP:

## Public Member Functions

| HostDSP (VPBREG &reg)
| Constructor.
virtual | ~HostDSP ()
| Destructor.
Port reinitialisation
virtual void | Reset (unsigned int port)=0
| Reset port to its default cold-start state.
Port localisation
virtual void | SetCountry (int port, const Country *country)=0
| Configure the hardware for country on port of this board.
virtual void | SetPSImpedance (int port, int impedance)
| Override the default impedance for ProSLIC ports.
virtual void | SetVDAAImpedance (int port, int impedance)
| Override the default impedance for VDAA ports.
virtual void | SetFlashTime (int port, uint16_t min, uint16_t max)
| Configure the hook-flash detection window.
Port state
virtual void | SetHookState (int port, HookState hookstate)=0
| Set the hook state of port.
virtual void | PadTxFrame (int port)=0
| Pad a partial transmit frame for forwarding to the hardware.
virtual void | WaitForTxEmpty (int port)=0
| Block until the transmit buffers for port are empty.
Port Audio control
virtual float | GetHWPlayGain (unsigned int port)
virtual float | GetHWRecordGain (unsigned int port)
Port bridging and monitoring
virtual void | TapListen (unsigned int port, unsigned int srcboard, unsigned int srcport)
| Create a full duplex tap to port of the audio from srcport on srcboard.
virtual void | UNListen (unsigned int port)
| Remove a half duplex bridge or full duplex tap from port.

## Protected Member Functions

| HostDSP (bool, VPBREG &reg)
| Bare bones constructor for hardware DSP implementations.

## Protected Attributes

VPBREG & | m_reg
| Reference to the `VPBREG` structure for this `HostDSP`.

## Detailed Description

Base class for host processor based card types.

## Member Function Documentation

## PadTxFrame()

virtual void HostDSP::PadTxFrame | ( | int | port | ) |

pure virtual

Pad a partial transmit frame for forwarding to the hardware.

Implemented in OpenPri, V4PCI_DSP, and VTCore.

## Reset()

virtual void HostDSP::Reset | ( | unsigned int | port | ) |

pure virtual

Reset port to its default cold-start state.

Implemented in OpenPri, V4PCI_DSP, and VTCore.

## SetCountry()

virtual void HostDSP::SetCountry | ( | int | port,
|  | const Country * | country )

pure virtual

Configure the hardware for country on port of this board.

Implemented in OpenPri, V4PCI_DSP, and VTCore.

Referenced by set_country(), and vpb_set_country().

## SetFlashTime()

virtual void HostDSP::SetFlashTime | ( | int | port,
|  | uint16_t | min,
|  | uint16_t | max )

inline virtual

Configure the hook-flash detection window.

Reimplemented in VTCore.

Referenced by vpb_set_flashtime().

## SetHookState()

virtual void HostDSP::SetHookState | ( | int | port,
|  | HookState | hookstate )

pure virtual

Set the hook state of port.

Implemented in OpenPri, V4PCI_DSP, and VTCore.

Referenced by vpb_sethook_async().

## SetPSImpedance()

virtual void HostDSP::SetPSImpedance | ( | int | port,
|  | int | impedance )

inline virtual

Override the default impedance for ProSLIC ports.

Reimplemented in VTCore.

## SetVDAAImpedance()

virtual void HostDSP::SetVDAAImpedance | ( | int | port,
|  | int | impedance )

inline virtual

Override the default impedance for VDAA ports.

Reimplemented in VTCore.

## TapListen()

virtual void HostDSP::TapListen | ( | unsigned int | port,
|  | unsigned int | srcboard,
|  | unsigned int | srcport )

inline virtual

Create a full duplex tap to port of the audio from srcport on srcboard.

Reimplemented in VTCore.

References m_reg.

Referenced by vpb_monitor_audio().

## UNListen()

virtual void HostDSP::UNListen | ( | unsigned int | port | ) |

inline virtual

Remove a half duplex bridge or full duplex tap from port.

Reimplemented in OpenPri, V4PCI_DSP, and VTCore.

References m_reg.

Referenced by vpb_monitor_terminate().

## WaitForTxEmpty()

virtual void HostDSP::WaitForTxEmpty | ( | int | port | ) |

pure virtual

Block until the transmit buffers for port are empty.

Implemented in OpenPri, V4PCI_DSP, and VTCore.